Last Comment Bug 801951 - update social provider manifest and whitelist
: update social provider manifest and whitelist
Status: RESOLVED FIXED
[Fx17][qa-]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 19
Assigned To: :Gavin Sharp [email: gavin@gavinsharp.com]
:
Mentors:
Depends on:
Blocks: 799447
  Show dependency treegraph
 
Reported: 2012-10-15 17:00 PDT by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2012-10-17 11:05 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed


Attachments
patch (5.70 KB, patch)
2012-10-15 18:06 PDT, :Gavin Sharp [email: gavin@gavinsharp.com]
jaws: review+
gavin.sharp: approval‑mozilla‑aurora+
gavin.sharp: approval‑mozilla‑beta+
Details | Diff | Review

Description :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-15 17:00:47 PDT
We're switching the default Social provider from MoTown. This will involve:
- updating the default manifest, including favicon image as a data URI (social.manifest.motown->social.manifest.facebook)
- updating the activation whitelist (social.activation.whitelist)
- updating browser/base/content/social-icon.png to be the proper size/image
Comment 1 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-15 18:06:14 PDT
Created attachment 671679 [details] [diff] [review]
patch
Comment 2 (Away 6/25-7/4) Jared Wein [:jaws] (reviews and needinfo disabled until back) 2012-10-15 21:40:59 PDT
Comment on attachment 671679 [details] [diff] [review]
patch

Review of attachment 671679 [details] [diff] [review]:
-----------------------------------------------------------------

This looks good to me. I also tested it out locally and the activation popup is showing the correct image.
Comment 3 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-15 22:26:48 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/b1bbedc3d30e
Comment 4 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-15 22:39:40 PDT
https://hg.mozilla.org/releases/mozilla-beta/rev/a6a663ab1bff
Comment 5 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-15 22:45:48 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/94851142600f
Comment 6 Ryan VanderMeulen [:RyanVM] 2012-10-16 19:00:38 PDT
https://hg.mozilla.org/mozilla-central/rev/b1bbedc3d30e

Note You need to log in before you can comment on or make changes to this bug.